%define group System/Configuration/Other
%define version 0.58

Name: drakfont
Version: %{version}
Release: 13.1mdk
Source0: %{name}-%{version}.tar.bz2
Source1: drakfont
Source2: drakfont.xpm.bz2
Source3: drakfont32.xpm.bz2
Source4: drakfont48.xpm.bz2
Source6: pam.drakfont
Source7: apps.drakfont
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

Summary: TrueType fonts manager
Prereq: %{_sbindir}/ttmkfdir %{_sbindir}/chkfontpath /bin/su /bin/gzip gtk+
Requires: usermode gtk+mdk
Requires: chkfontpath >= 1.7-4mdk
BuildRequires: gtk+mdk-devel gettext
Group: %{group}
%description
Fonts manager. You can add new fonts, remove fonts, and get Windows fonts.

%prep
%setup -n %{name}-%{version}

%build
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall \
	version=%{version} \
	prefix=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_libdir}/menu/
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_datadir}/icons/mini/drakfont.xpm
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/icons/mini/
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_datadir}/icons/drakfont.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_datadir}/icons/large/drakfont.xpm
%{find_lang} %{name}

mv ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakfont \
   ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakfont.real
ln -sf %{_bindir}/consolehelper ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakfont
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
cp %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/drakfont
cp %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/drakfont


%post
install -m 755 -d $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/drakfont
install -m 755 -d $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/pcf_drakfont
%{_prefix}/X11R6/bin/drakfont -c
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files -f %{name}.lang
%defattr(-,root,root)
%{_prefix}/X11R6/bin/*
%{_mandir}/man1/drakfont.1*
%{_libdir}/menu/*
%{_datadir}/icons/drakfont.xpm
%{_datadir}/icons/mini/drakfont.xpm
%{_datadir}/icons/large/drakfont.xpm
%config(noreplace) %{_sysconfdir}/pam.d/drakfont
%config(noreplace) %{_sysconfdir}/security/console.apps/drakfont

%changelog
* Fri Jun  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.58-13.1mdk
- fix for importing windows fonts for 8.0

* Sun May  6 2001 dam's <damien@mandrakesoft.com> 0.58-13mdk
- corrected progressbar destruction.

* Mon Apr 30 2001 dam's <damien@mandrakesoft.com> 0.58-12mdk
- removed abiword support.
- Make ASkwar happy : checking is done once after copying, thus faster.

* Sun Apr 15 2001 dam's <damien@mandrakesoft.com> 0.58-11mdk
- removed abiword support in embedded mode

* Sat Apr  7 2001 dam's <damien@mandrakesoft.com> 0.58-10mdk
- added abiword fonts support

* Mon Mar 26 2001 dam's <damien@mandrakesoft.com> 0.58-9mdk
- corrected bad package

* Mon Mar 26 2001 dam's <damien@mandrakesoft.com> 0.58-8mdk
- removed initscript.

* Wed Mar 21 2001 dam's <damien@mandrakesoft.com> 0.58-7mdk
- no binary in package.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 0.58-6mdk
- no restart if embedded

* Fri Mar  9 2001 dam's <damien@mandrakesoft.com> 0.58-5mdk
- smaller label in french.

* Thu Mar  1 2001 dam's <damien@mandrakesoft.com> 0.58-4mdk
- typo

* Thu Mar  1 2001 dam's <damien@mandrakesoft.com> 0.58-3mdk
- updated embedded mode

* Fri Feb 23 2001 dam's <damien@mandrakesoft.com> 0.58-2mdk
- corrected po.

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.58-1mdk
- added embedded mode.

* Sat Dec 16 2000 dam's <damien@mandrakesoft.com> 0.57-1mdk
- New version.

* Wed Nov 15 2000 dam's <damien@mandrakesoft.com> 0.56-2mdk
- corrected menu entry, and initscrip.

* Mon Nov 13 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- new version. The fonts are now sorted.

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- new Version. added the 'kill' option. Corrected man page.

* Fri Oct 20 2000 dam's <damien@mandrakesoft.com> 0.52-10mdk
- add pcf directory with unscaled.
- added require on chkfontpath >= 1.7-4mdk

* Mon Oct  9 2000 dam's <damien@mandrakesoft.com> 0.52-9mdk
- corrected failed at install

* Mon Oct  9 2000 dam's <damien@mandrakesoft.com> 0.52-8mdk
- included gc modifs in cvs. changed drakfont.init

* Fri Oct  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-7mdk
- s/kdesu/usermode/g

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.52-6mdk
- use /var/lock/subsys/drakfont in /etc/rc.d/init.d/drakfont.

* Wed Oct  4 2000 dam's <damien@mandrakesoft.com> 0.52-5mdk
- updated po

* Wed Sep 27 2000 dam's <damien@mandrakesoft.com> 0.52-4mdk
- corrected lang

* Thu Sep  7 2000 dam's <damien@mandrakesoft.com> 0.52-3mdk
- corrected initscript

* Mon Aug 21 2000 dam's <damien@mandrakesoft.com> 0.52-2mdk
- added lang 

* Tue Aug 15 2000 dam's <damien@mandrakesoft.com> 0.52-1mdk
- changed pixmap
- corrected gtk warning
- added font path display
- now can handle ntfs partition.

* Tue Aug 15 2000 dam's <damien@mandrakesoft.com> 0.50-2mdk
- removed noreplace attribut of rc.d/init.d/drakfont
- corrected scripts syntax errors.

* Mon Aug 14 2000 dam's <damien@mandrakesoft.com> 0.50-1mdk
- corrected minor bugs + improved general design;
- added progress bar window, yes/no window for removing fonts;
- readded autoplacing window. Why did I removed it ?
- BM + macrozification (thanx to Stefan van der Eijk <s.vandereijk@chello.nl> )

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.40-14mdk
- drakfont.c (create_window1): Don't try to get Windows fonts on alpha/sparc.

* Wed May 17 2000 dam's <damien@mandrakesoft.com> 0.40-13mdk
- rebuild with some gtk-mdk widget. Thanks to Dindinx. 
- corrected cp bug.
- corrected xfs restart bug.
- corrected translations errors

* Tue May  9 2000 dam's <damien@mandrakesoft.com> 0.40-12mdk
- new release. Include translation updates.

* Tue May  9 2000 dam's <damien@mandrakesoft.com> 0.40-11mdk
- changed label place.
- added auto type partition recognition.

* Mon May  8 2000 dam's <damien@mandrakesoft.com> 0.40-10mdk
- 'xfs restart' re-added, chkfontpath is bugy.

* Mon May  8 2000 dam's <damien@mandrakesoft.com> 0.40-9mdk
- added Normal/strong verification dialog. no xfs restart any more.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-8mdk
- changed %%post %%prep

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-7mdk
- ok, no links more for win.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-6mdk
- Added pcf + pcf.gz fonts recognition.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-5mdk
- Added legal warning.

* Thu May  4 2000 dam's <damien@mandrakesoft.com> 0.40-4mdk
- Updated man page.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.40-3mdk
- added Prereq on gtk+, ttmkfdir chkfontpath and su.
- don't call /etc/rc.d/init.d/xfs restart on --check.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 0.40-2mdk
- added init script to check fonts installations

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 0.40-1mdk
- minor bugs fix.
- added medium and large icon.
- corrected menu entry

* Tue May 2 2000 dam's <damien@mandrakesoft.com> 0.39-1mdk
- use popen instead of system.
- use rehash instead of restarting.
- changed drakfont_pcf to pcf_drakfont because of bad strstr test
- added drakfont -c
- added drakfont.init in /etc/X11/xinit.d

* Sun Apr 30 2000 dam's <damien@mandrakesoft.com> 0.38-1mdk
- check win*/fonts directory
- added Wathc cursor.

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 0.37-0.5mdk
- unstable devel version, try to check winnt & windows fonts.

* Fri Apr 21 2000 dam's <damien@mandrakesoft.com> 0.36-3mdk
- corrected translataion

* Fri Apr 21 2000 dam's <damien@mandrakesoft.com> 0.36-2mdk
- added dakfont and drakfont_pcf installation.

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 0.36-1mdk
- fat recognition.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.35-3mdk
- Changed gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.35-2mdk
- Added icon.
 
* Fri Apr 07 2000 dam's <damien@mandrakesoft.com> 0.35-1mdk
- Can handle pcf.gz fonts type. 

* Fri Apr 07 2000 dam's <damien@mandrakesoft.com> 0.31-1mdk
- patch from David Odin

* Mon Apr 03 2000 dam's <damien@mandrakesoft.com> 0.30-0.5mdk
- 0.30
- new look, and ttmkfdir is used with -c. It can crash with some fonts.
- This is not a stable version. It need tests.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 0.25-1mdk
- No more copy for Windows fonts. Make links instead.
  This is due to licence problem. bleurk.

* Fri Mar 10 2000 dam's <damien@mandrakesoft.com> 0.2-0.5mdk
- Now it can remove fonts from other types than ttf.
- Better place for man pages.

* Fri Mar 10 2000 dam's <damien@mandrakesoft.com> 0.1-1mdk
- First release.
